GH-ISSUE-DEVELOP(1)

NAME
gh-issue-develop - Manage linked branches for an issue

SYNOPSIS
gh issue develop {<number> | <url>} [flags]

OPTIONS

-b, --base <string>
    Name of the remote branch you want to make your new branch from

--branch-repo <string>
    Name or URL of the repository where you want to create your new branch

-c, --checkout
    Checkout the branch after creating it

-l, --list
    List linked branches for the issue

-n, --name <string>
    Name of the branch to create

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # List branches for issue 123
    $ gh issue develop --list 123
    # List branches for issue 123 in repo cli/cli
    $ gh issue develop --list --repo cli/cli 123
    # Create a branch for issue 123 based on the my-feature branch
    $ gh issue develop 123 --base my-feature
    # Create a branch for issue 123 and checkout it out
    $ gh issue develop 123 --checkout
    # Create a branch in repo monalisa/cli for issue 123 in repo cli/cli
    $ gh issue develop 123 --repo cli/cli --branch-repo monalisa/cli

SEE ALSO
gh-issue(1)